> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ribbon.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get team members

> Retrieve all team members in the organization. Use the returned id as assigned_recruiter_id when creating an interview. If team_id is not provided, returns members for all teams in the organization.



## OpenAPI

````yaml get /v1/team-members
openapi: 3.0.2
info:
  title: Ribbon API
  version: v1
  description: API for Ribbon
servers:
  - url: https://app.ribbon.ai/be-api/
  - url: https://staging.ribbon.ai/be-api/
security: []
tags:
  - name: Ribbon Public API
    description: ''
  - name: private_routes
    description: ''
paths:
  /v1/team-members:
    get:
      tags:
        - Ribbon Public API
      summary: Get team members
      description: >-
        Retrieve all team members in the organization. Use the returned id as
        assigned_recruiter_id when creating an interview. If team_id is not
        provided, returns members for all teams in the organization.
      parameters:
        - in: query
          name: team_id
          description: >-
            Filter team members by team ID. If not provided, returns team
            members for all teams in the organization.
          schema:
            type: string
            default: null
            nullable: true
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTeamMembersResponse'
        '403':
          description: The team_id does not belong to authenticated organization.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          $ref: '#/components/responses/UNPROCESSABLE_ENTITY'
        default:
          $ref: '#/components/responses/DEFAULT_ERROR'
      security:
        - BearerAuth: []
components:
  schemas:
    GetTeamMembersResponse:
      type: object
      properties:
        team_members:
          type: array
          description: A list of team members.
          items:
            $ref: '#/components/schemas/TeamMember'
      required:
        - team_members
      additionalProperties: false
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: integer
          description: The status code
        status:
          type: string
          description: The status
      required:
        - code
        - message
        - status
      additionalProperties: false
    TeamMember:
      type: object
      properties:
        id:
          type: string
          description: The ID of the team member.
        email:
          type: string
          default: null
          description: The primary email address of the team member.
          nullable: true
        full_name:
          type: string
          default: null
          description: The full name of the team member (may be null).
          nullable: true
      required:
        - id
      additionalProperties: false
    Error:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        status:
          type: string
          description: Error name
        message:
          type: string
          description: Error message
        errors:
          type: object
          description: Errors
          additionalProperties: {}
      additionalProperties: false
  responses:
    UNPROCESSABLE_ENTITY:
      description: Unprocessable Entity
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    DEFAULT_ERROR:
      description: Default error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: UUID
      description: >-
        Provide your API key UUID in the 'Authorization' header prefixed with
        'Bearer '.

        Example: 'Authorization: Bearer 123e4567-e89b-12d3-a456-426614174000'

````